/*
 * Copyright (C) 2006-2007 Andre Noll <maan@systemlinux.org>
 *
 * Licensed under the GPL v2. For licencing details see COPYING.
 */

/** \file fd.h exported symbols from fd.c */

int file_exists(const char *);
int para_select(int n, fd_set *readfds, fd_set *writefds,
		struct timeval *timeout_tv);
int mark_fd_nonblock(int fd);
void para_fd_set(int fd, fd_set *fds, int *max_fileno);
__must_check int para_fgets(char *line, int size, FILE *f);
void *para_mmap(size_t length, int prot, int flags, int fd, off_t offset);
